DashboardsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class DashboardsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.DashboardsResourceApi

-     public class DashboardsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardsResourceApi()`
    `DashboardsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiDashboardList` | `createDashboards(ApiDashboardList body)` Creates the list of dashboards.
    `com.squareup.okhttp.Call` | `createDashboardsAsync(ApiDashboardList body, ApiCallback<ApiDashboardList> callback)` Creates the list of dashboards.
    `com.squareup.okhttp.Call` | `createDashboardsCall(ApiDashboardList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createDashboards
    `ApiResponse<ApiDashboardList>` | `createDashboardsWithHttpInfo(ApiDashboardList body)` Creates the list of dashboards.
    `ApiDashboard` | `deleteDashboard(String dashboardName)` Deletes a dashboard.
    `com.squareup.okhttp.Call` | `deleteDashboardAsync(String dashboardName, ApiCallback<ApiDashboard> callback)` Deletes a dashboard.
    `com.squareup.okhttp.Call` | `deleteDashboardCall(String dashboardName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteDashboard
    `ApiResponse<ApiDashboard>` | `deleteDashboardWithHttpInfo(String dashboardName)` Deletes a dashboard.
    `ApiClient` | `getApiClient()`
    `ApiDashboard` | `getDashboard(String dashboardName)` Returns a dashboard definition for the specified name.
    `com.squareup.okhttp.Call` | `getDashboardAsync(String dashboardName, ApiCallback<ApiDashboard> callback)` Returns a dashboard definition for the specified name.
    `com.squareup.okhttp.Call` | `getDashboardCall(String dashboardName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getDashboard
    `ApiDashboardList` | `getDashboards()` Returns the list of all user-customized dashboards.
    `com.squareup.okhttp.Call` | `getDashboardsAsync(ApiCallback<ApiDashboardList> callback)` Returns the list of all user-customized dashboards.
    `com.squareup.okhttp.Call` | `getDashboardsCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getDashboards
    `ApiResponse<ApiDashboardList>` | `getDashboardsWithHttpInfo()` Returns the list of all user-customized dashboards.
    `ApiResponse<ApiDashboard>` | `getDashboardWithHttpInfo(String dashboardName)` Returns a dashboard definition for the specified name.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardsResourceApi

          public DashboardsResourceApi()

    - #### DashboardsResourceApi

          public DashboardsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createDashboardsCall

          public com.squareup.okhttp.Call createDashboardsCall(ApiDashboardList body,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for createDashboards
      Parameters:
        `body` - The list of dashboards to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createDashboards

          public ApiDashboardList createDashboards(ApiDashboardList body)
                                            throws ApiException

      Creates the list of dashboards. Creates the list of dashboards. If any of the dashboards already exist this whole command will fail and no dashboards will be created. <p> Available since API v6.
      Parameters:
        `body` - The list of dashboards to create. (optional)
      Returns:
        ApiDashboardList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createDashboardsWithHttpInfo

          public ApiResponse<ApiDashboardList> createDashboardsWithHttpInfo(ApiDashboardList body)
                                                                     throws ApiException

      Creates the list of dashboards. Creates the list of dashboards. If any of the dashboards already exist this whole command will fail and no dashboards will be created. <p> Available since API v6.
      Parameters:
        `body` - The list of dashboards to create. (optional)
      Returns:
        ApiResponse<ApiDashboardList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createDashboardsAsync

          public com.squareup.okhttp.Call createDashboardsAsync(ApiDashboardList body,
                                                                ApiCallback<ApiDashboardList> callback)
                                                         throws ApiException

      Creates the list of dashboards. (asynchronously) Creates the list of dashboards. If any of the dashboards already exist this whole command will fail and no dashboards will be created. <p> Available since API v6.
      Parameters:
        `body` - The list of dashboards to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteDashboardCall

          public com.squareup.okhttp.Call deleteDashboardCall(String dashboardName,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for deleteDashboard
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteDashboard

          public ApiDashboard deleteDashboard(String dashboardName)
                                       throws ApiException

      Deletes a dashboard. Deletes a dashboard. <p> Available since API v6.
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
      Returns:
        ApiDashboard
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteDashboardWithHttpInfo

          public ApiResponse<ApiDashboard> deleteDashboardWithHttpInfo(String dashboardName)
                                                                throws ApiException

      Deletes a dashboard. Deletes a dashboard. <p> Available since API v6.
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
      Returns:
        ApiResponse<ApiDashboard>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteDashboardAsync

          public com.squareup.okhttp.Call deleteDashboardAsync(String dashboardName,
                                                               ApiCallback<ApiDashboard> callback)
                                                        throws ApiException

      Deletes a dashboard. (asynchronously) Deletes a dashboard. <p> Available since API v6.
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getDashboardCall

          public com.squareup.okhttp.Call getDashboardCall(String dashboardName,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for getDashboard
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getDashboard

          public ApiDashboard getDashboard(String dashboardName)
                                    throws ApiException

      Returns a dashboard definition for the specified name. Returns a dashboard definition for the specified name. This dashboard can be imported with the createDashboards API. <p> Available since API v6.
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
      Returns:
        ApiDashboard
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getDashboardWithHttpInfo

          public ApiResponse<ApiDashboard> getDashboardWithHttpInfo(String dashboardName)
                                                             throws ApiException

      Returns a dashboard definition for the specified name. Returns a dashboard definition for the specified name. This dashboard can be imported with the createDashboards API. <p> Available since API v6.
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
      Returns:
        ApiResponse<ApiDashboard>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getDashboardAsync

          public com.squareup.okhttp.Call getDashboardAsync(String dashboardName,
                                                            ApiCallback<ApiDashboard> callback)
                                                     throws ApiException

      Returns a dashboard definition for the specified name. (asynchronously) Returns a dashboard definition for the specified name. This dashboard can be imported with the createDashboards API. <p> Available since API v6.
      Parameters:
        `dashboardName` - The name of the dashboard. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getDashboardsCall

          public com.squareup.okhttp.Call getDashboardsCall(ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for getDashboards
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getDashboards

          public ApiDashboardList getDashboards()
                                         throws ApiException

      Returns the list of all user-customized dashboards. Returns the list of all user-customized dashboards. This includes both the new dashboards created by users as well as any user customizations to built-in dashboards. <p> Available since API v6.
      Returns:
        ApiDashboardList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getDashboardsWithHttpInfo

          public ApiResponse<ApiDashboardList> getDashboardsWithHttpInfo()
                                                                  throws ApiException

      Returns the list of all user-customized dashboards. Returns the list of all user-customized dashboards. This includes both the new dashboards created by users as well as any user customizations to built-in dashboards. <p> Available since API v6.
      Returns:
        ApiResponse<ApiDashboardList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getDashboardsAsync

          public com.squareup.okhttp.Call getDashboardsAsync(ApiCallback<ApiDashboardList> callback)
                                                      throws ApiException

      Returns the list of all user-customized dashboards. (asynchronously) Returns the list of all user-customized dashboards. This includes both the new dashboards created by users as well as any user customizations to built-in dashboards. <p> Available since API v6.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.